class specificDB(object):
    """An Abstract class.  For each database we whish to support that
       module needs to provide an object that inherits from this base
       class.  This base class contains all the database specific
       code."""

    def __init__(self, config):
        pass

    def getConnection(self):
        raise exception.CurrentDB(
                "You cannot use the specificDB abstract class")

    def getCursor(self):
        return None

    def initdb(self):
        pass



